Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 15.sles11.lc
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: apache2 gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick perl-PerlMagick apache2-mod_perl mysql perl-DBD-mysql perl-DBI perl-Algorithm-Diff perl-Authen-Krb4 perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Crypt-SSLeay perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net_SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-CRC32 perl-String-Similarity perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-IO-Socket-SSL perl-MIME-Lite perl-MIME-Types tetex zip perl-libwww-perl te_latex ghostscript psutils ntp at gnuplot perl-Cache-Memcached memcached mailx wget pwdutils make perl-DateManip unzip perl-Expect perl-IO-Tty maxima maxima-exec-clisp perl-DateTime perl-Authen-Captcha perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info perl-Error perl-LaTeX-Table tetex-acrotex perl-CAM-PDF R-base R-phpSerialize perl-Tie-IxHash-Easy
# Requirements for compilation of CAPA
Requires: bison flex swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.2
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Mon Jun 29 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add R-phpSerialize perl-Tie-IxHash-Easy

* Wed Apr 22 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add R-base

* Sun Apr  5 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add tetex-acrotex perl-CAM-PDF

* Mon Jan 26 2009 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-LaTeX-Table dependency.

* Thu Jul  3 2008 Stuart Raeburn <raeburn at lon-capa.org>
- perl-XML-DOM, perl-File-MMagic, perl-RTF-HTMLConverter, perl-Image-Size
  perl-Image-Info perl-Error for conversion of files from RTF format to
  HTML for testbanks

* Sun Apr 27 2008 Stuart Raeburn <raeburn at lon-capa.org>
- Added perl-Authen-Captcha dependency

* Wed Nov 21 2007 Stuart Raeburn <raeburn at lon-capa.org>
- Using regular gnuplot, added perl-DateTime

* Sat May 12 2007 Stuart Raeburn <raeburn at lon-capa.org>
- Updated dependencies to include perl-Expect and maxima

* Thu Feb  1 2007 Stuart Raeburn <raeburn at lon-capa.org>
- Added dependencies to support maxima

* Fri  Aug 25 2006 Stuart Raeburn <raeburn at lon-capa.org>
- Added unzip dependency. Switch to apache2, mod_perl 2. Eliminate php conflict.
- Change release name for sles10

* Thu Sep  9 2004 <matthew@kirk.lite.msu.edu> -
- Updated dependencies

* Thu Aug  5 2004  <matthew@kirk.lite.msu.edu> - 
- Initial build.

